Language Selection

English French German Italian Portuguese Spanish

GNU Hurd Is Working On Sound Support, Still Lacks 64-bit & Good USB Support

Filed under
GNU

One year ago was a status update on GNU Hurd where it was mentioned that GNU Hurd lacks 64-bit, audio, and USB support among other features for this micro-kernel free software project alternative to the Linux kernel. Sound support for Hurd is now in the works, but other features remain missing.

Read more

More in Tux Machines

Security Bugs at CPU Level Again

  • Google and Microsoft disclose new CPU flaw, and the fix can slow machines down
    Microsoft and Google are jointly disclosing a new CPU security vulnerability that’s similar to the Meltdown and Spectre flaws that were revealed earlier this year. Labelled Speculative Store Bypass (variant 4), the latest vulnerability is a similar exploit to Spectre and exploits speculative execution that modern CPUs use. Browsers like Safari, Edge, and Chrome were all patched for Meltdown earlier this year, and Intel says “these mitigations are also applicable to variant 4 and available for consumers to use today.” However, unlike Meltdown (and more similar to Spectre) this new vulnerability will also include firmware updates for CPUs that could affect performance. Intel has already delivered microcode updates for Speculative Store Bypass in beta form to OEMs, and the company expects them to be more broadly available in the coming weeks. The firmware updates will set the Speculative Store Bypass protection to off-by-default, ensuring that most people won’t see negative performance impacts.
  • Spectre variants 3a and 4
    Intel has, finally, disclosed two more Spectre variants, called 3a and 4. The first ("rogue system register read") allows system-configuration registers to be read speculatively, while the second ("speculative store bypass") could enable speculative reads to data after a store operation has been speculatively ignored. Some more information on variant 4 can be found in the Project Zero bug tracker. The fix is to install microcode updates, which are not yet available.
  • Red Hat Says It'll Soon Fix the Speculative Store Bypass Security Vulnerability
    Red Hat informed us today that they are aware of the recently disclosed Speculative Store Bypass (CVE-2018-3639) security vulnerability and will soon release updates to mitigate the issue on all of its affected products. Speculative Store Bypass (CVE-2018-3639) is a security vulnerability recently unearthed by various security researchers from Google and Microsoft, and it appears to be a fourth variant of the Spectre hardware bug publicly disclosed earlier this year in modern microprocessor, and later discovered to affect billions of devices. The Speculative Store Bypass vulnerability appearently lets an unprivileged attacker to bypass restrictions and gain read access to privileged memory.

Emmabuntüs Debian Edition Linux Is Now Based on Debian GNU/Linux 9.4 "Stretch"

Emmabuntüs Linux developer Patrick d'Emmabuntüs informs us today on the immediate availability for download of the Emmabuntüs Debian Edition 2 1.02 release. Emmabuntüs Debian Edition 2 1.02 is the second maintenance update to the Debian-based operating system used in schools and other educational institutions across the globe. It's based on the latest Debian GNU/Linux 9.4 "Stretch" operating system and brings various updated components, as well as improvements like the ability to turn off the script that handles the screensaver images and support for automatically detecting and configuring printers. Read more

Android Leftovers

Bodhi Linux 5.0 Enters Development Based on Ubuntu 18.04 LTS, First Alpha Is Out

Now that Canonical released Ubuntu 18.04 LTS (Bionic Beaver), more and more Ubuntu-based GNU/Linux distributions would want to upgrade to it for their next major releases, including Bodhi Linux with the upcoming 5.0 series. The first Alpha is here today to give us a glimpse of what to expect from the final release. Besides being based on Ubuntu 18.04 LTS, the Bodhi Linux 5.0 operating system will be shipping with the forthcoming Moksha 0.3.0 desktop environment based on the Enlightenment window manager/desktop environment, and it's powered by the Linux 4.9 kernel series. Also, it supports 32-bit PAE and non-PAE systems. Read more